Package org.postgresql.geometric

# Class PGcircle

java.lang.Object
org.postgresql.util.PGobject
org.postgresql.geometric.PGcircle

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class PGcircle extends PGobject implements Serializable, Cloneable
This represents org.postgresql's circle datatype, consisting of a point and a radius.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `@Nullable PGpoint`
  `center`
  This is the center point.
  `double`
  `radius`
  This is the radius.

  ### Fields inherited from class org.postgresql.util.PGobject

  `type, value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PGcircle()`
  This constructor is used by the driver.
  `PGcircle(double x, double y, double r)`
  `PGcircle(String s)`
  `PGcircle(PGpoint c, double r)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  This must be overridden to allow the object to be cloned.
  `boolean`
  `equals(@Nullable Object obj)`
  This must be overridden to allow comparisons of objects.
  `@Nullable String`
  `getValue()`
  This must be overridden, to return the value of the object, in the form required by org.postgresql.
  `int`
  `hashCode()`
  Compute hash.
  `void`
  `setValue(@Nullable String s)`
  This method sets the value of this object.

  ### Methods inherited from class org.postgresql.util.PGobject

  `equals, getType, isNull, setType, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### center

    public @Nullable PGpoint center
    This is the center point.

  - ### radius

    public double radius
    This is the radius.

- ## Constructor Details

  - ### PGcircle

    public PGcircle(double x, double y, double r)
    Parameters:
      `x` - coordinate of center
      `y` - coordinate of center
      `r` - radius of circle

  - ### PGcircle

    public PGcircle(PGpoint c, double r)
    Parameters:
      `c` - PGpoint describing the circle's center
      `r` - radius of circle

  - ### PGcircle

    public PGcircle(String s) throws SQLException
    Parameters:
      `s` - definition of the circle in PostgreSQL's syntax.
    Throws:
      `SQLException` - on conversion failure

  - ### PGcircle

    public PGcircle()
    This constructor is used by the driver.

- ## Method Details

  - ### setValue

    public void setValue(@Nullable String s) throws SQLException
    Description copied from class: `PGobject`
    This method sets the value of this object. It must be overridden.
    Overrides:
      `setValue` in class `PGobject`
    Parameters:
      `s` - definition of the circle in PostgreSQL's syntax.
    Throws:
      `SQLException` - on conversion failure

  - ### equals

    public boolean equals(@Nullable Object obj)
    Description copied from class: `PGobject`
    This must be overridden to allow comparisons of objects.
    Overrides:
      `equals` in class `PGobject`
    Parameters:
      `obj` - Object to compare with
    Returns:
      true if the two circles are identical

  - ### hashCode

    public int hashCode()
    Description copied from class: `PGobject`
    Compute hash. As equals() use only value. Return the same hash for the same value.
    Overrides:
      `hashCode` in class `PGobject`
    Returns:
      Value hashcode, 0 if value is null `Objects.hashCode(Object)`

  - ### clone

    public Object clone() throws CloneNotSupportedException
    Description copied from class: `PGobject`
    This must be overridden to allow the object to be cloned.
    Overrides:
      `clone` in class `PGobject`
    Throws:
      `CloneNotSupportedException`

  - ### getValue

    public @Nullable String getValue()
    Description copied from class: `PGobject`
    This must be overridden, to return the value of the object, in the form required by org.postgresql.
    Overrides:
      `getValue` in class `PGobject`
    Returns:
      the PGcircle in the syntax expected by org.postgresql